---
metadata:
  - name: generator
    content: Diplodoc Platform v5.39.1
alternate:
  - https://yandex.com.tr/support/forms/en/api-ref/questions/events_v1_views_questions_delete_question_view.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/forms/en/llms.txt

<div class="openapi">

# Delete question

<!-- markdownlint-disable-file -->

Deletes a question, checking before deletion whether the question is used in conditions.
The check can be disabled if needed.

Parameters:
- **survey_id**: form ID
- **question_id**: question ID
- **force**: disable the condition check. By default the check is enabled

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-delete);margin-bottom: 12px">

<div class="openapi__request">

DELETE {.openapi__method}
```text translate=no
https://api.forms.yandex.net/v1/surveys/{survey_id}/questions/{question_id}
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_question_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_survey_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Pattern:_{.json-schema-reset .json-schema-assertion} `^[a-fA-F\d]{24}$`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_force_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

_Default:_{.json-schema-reset .json-schema-value} `false`
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__204">

## 204 No Content

No Content

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.